package request


type AlibabaWdkMerchantStoreitemQueryRequest struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" required:"false" `
    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" required:"false" `
    /*
        门店编码     */
    StoreId  *string `json:"store_id,omitempty" required:"false" `
}

func (s *AlibabaWdkMerchantStoreitemQueryRequest) SetSkuCode(v string) *AlibabaWdkMerchantStoreitemQueryRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemQueryRequest) SetMerchantCode(v string) *AlibabaWdkMerchantStoreitemQueryRequest {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemQueryRequest) SetStoreId(v string) *AlibabaWdkMerchantStoreitemQueryRequest {
    s.StoreId = &v
    return s
}

func (req *AlibabaWdkMerchantStoreitemQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.MerchantCode != nil) {
        paramMap["merchant_code"] = *req.MerchantCode
    }
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    return paramMap
}

func (req *AlibabaWdkMerchantStoreitemQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}